Package com.smartgwt.client.bean.types

# Class PIntegerValueType

java.lang.Object
com.smartgwt.client.bean.BeanValueType<ValueType>
com.smartgwt.client.bean.types.NumberValueType<Integer>
com.smartgwt.client.bean.types.IntegerValueType
com.smartgwt.client.bean.types.PIntegerValueType

public class PIntegerValueType extends IntegerValueType

- ## Nested Class Summary

  ## Nested classes/interfaces inherited from class com.smartgwt.client.bean.BeanValueType

  `BeanValueType.Convertability, BeanValueType.MetaFactory`

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `PIntegerValueType()`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `protected Class`
  `getValueType()`
  `protected Integer`
  `nullValue()`
  `static void`
  `registerValueType()`

  ### Methods inherited from class com.smartgwt.client.bean.types.IntegerValueType

  `convertabilityFrom, convertFrom, isAssignableFrom`

  ### Methods inherited from class com.smartgwt.client.bean.types.NumberValueType

  `convertStringToNumber`

  ### Methods inherited from class com.smartgwt.client.bean.BeanValueType

  `conversionException, convertabilityFrom, convertabilityToString, convertabilityToString, convertFrom, convertMapToJavascriptObject, convertToJava, convertToJavaScriptArray, convertToJavaScriptObject, convertToString, doConvertToString, getBeanValueType, isA, isAssignableFrom, isAssignableFrom, registerBasicValueTypes, registerBeanValueType, wrapInJavascriptArray`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Constructor Details

  - ### PIntegerValueType

    public PIntegerValueType()

- ## Method Details

  - ### registerValueType

    public static void registerValueType()

  - ### getValueType

    protected Class getValueType()
    Overrides:
      `getValueType` in class `IntegerValueType`

  - ### nullValue

    protected Integer nullValue()
    Overrides:
      `nullValue` in class `BeanValueType<Integer>`